Subject: bug#25375: 25.1; how to configure (x-)select-enable-primary compatible with emacs24

From: David Bremner <[email-masked]>
Date: Fri, 06 Jan 2017 09:49:47 -0400

Eli Zaretskii <[email-masked]> writes:

> Can you describe the scenario in more detail?  Are you customarily run
> customize, even after your basic configuration is set up?  Otherwise,
> I don't understand what is the trigger for that "cleanup".

Yes, once or twice a week I change some setting using customize while
using emacs25, and the cleanup is triggered then. I use a few
"applications" in emacs like IRC (circe) and email (notmuch) that have a
fairly dynamic set of settings.

I guess I could migrate the setting of x-select-enable-primary out of
customize and into my init.el. I wonder if maybe there should have been
a period of deprecation before marking the variables obsolete. I guess
that can't be helped now in any case.

d